<?php

namespace Bixo\Campaign;

use DB;
use Illuminate\Database\Seeder;

class CampaignCallTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('campaign_calls')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'campaign.campaign_call.view',
                'name'      => 'View CampaignCall',
            ],
            [
                'slug'      => 'campaign.campaign_call.create',
                'name'      => 'Create CampaignCall',
            ],
            [
                'slug'      => 'campaign.campaign_call.edit',
                'name'      => 'Update CampaignCall',
            ],
            [
                'slug'      => 'campaign.campaign_call.delete',
                'name'      => 'Delete CampaignCall',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/campaign/campaign_call',
                'name'        => 'CampaignCall',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/campaign/campaign_call',
                'name'        => 'CampaignCall',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'campaign_call',
                'name'        => 'CampaignCall',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Campaign',
                'module'    => 'CampaignCall',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'campaign.campaign_call.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
