<?php

namespace Bixo\Campaign;

use DB;
use Illuminate\Database\Seeder;

class CampaignDatabaseTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('campaign_databases')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'campaign.campaign_database.view',
                'name'      => 'View CampaignDatabase',
            ],
            [
                'slug'      => 'campaign.campaign_database.create',
                'name'      => 'Create CampaignDatabase',
            ],
            [
                'slug'      => 'campaign.campaign_database.edit',
                'name'      => 'Update CampaignDatabase',
            ],
            [
                'slug'      => 'campaign.campaign_database.delete',
                'name'      => 'Delete CampaignDatabase',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/campaign/campaign_database',
                'name'        => 'CampaignDatabase',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/campaign/campaign_database',
                'name'        => 'CampaignDatabase',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'campaign_database',
                'name'        => 'CampaignDatabase',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Campaign',
                'module'    => 'CampaignDatabase',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'campaign.campaign_database.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
