<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for campaign_call in campaign package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  campaign_call module in campaign package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'CampaignCall',
    'names'         => 'CampaignCalls',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'CampaignCalls',
        'sub'   => 'CampaignCalls',
        'list'  => 'List of campaign_calls',
        'edit'  => 'Edit campaign_call',
        'create'    => 'Create new campaign_call'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'copied'              => ['Yes','No'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'ref'                        => 'Please enter ref',
        'agent_id'                   => 'Please enter agent id',
        'assigned_on'                => 'Please select assigned on',
        'called_on'                  => 'Please select called on',
        'category_id'                => 'Please enter category id',
        'city_id'                    => 'Please enter city id',
        'location_id'                => 'Please enter location id',
        'sublocation_id'             => 'Please enter sublocation id',
        'type'                       => 'Please enter type',
        'status'                     => 'Please enter status',
        'area'                       => 'Please enter area',
        'copied'                     => 'Please select copied',
        'hot'                        => 'Please enter hot',
        'sub_status'                 => 'Please enter sub status',
        'nationality'                => 'Please enter nationality',
        'unit'                       => 'Please enter unit',
        'priority'                   => 'Please enter priority',
        'name'                       => 'Please enter name',
        'mobile'                     => 'Please enter mobile',
        'phone'                      => 'Please enter phone',
        'email'                      => 'Please enter email',
        'source_id'                  => 'Please enter source id',
        'other_source'               => 'Please enter other source',
        'reminder'                   => 'Please select reminder',
        'notes'                      => 'Please enter notes',
        'note'                       => 'Please enter note',
        'created_by'                 => 'Please enter created by',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'ref'                        => 'Ref',
        'agent_id'                   => 'Agent id',
        'assigned_on'                => 'Assigned on',
        'called_on'                  => 'Called on',
        'category_id'                => 'Category id',
        'city_id'                    => 'City id',
        'location_id'                => 'Location id',
        'sublocation_id'             => 'Sublocation id',
        'type'                       => 'Type',
        'status'                     => 'Status',
        'area'                       => 'Area',
        'copied'                     => 'Copied',
        'hot'                        => 'Hot',
        'sub_status'                 => 'Sub status',
        'nationality'                => 'Nationality',
        'unit'                       => 'Unit',
        'priority'                   => 'Priority',
        'name'                       => 'Name',
        'mobile'                     => 'Mobile',
        'phone'                      => 'Phone',
        'email'                      => 'Email',
        'source_id'                  => 'Source id',
        'other_source'               => 'Other source',
        'reminder'                   => 'Reminder',
        'notes'                      => 'Notes',
        'note'                       => 'Note',
        'created_by'                 => 'Created by',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'ref'                        => ['name' => 'Ref', 'data-column' => 1, 'checked'],
        'agent_id'                   => ['name' => 'Agent id', 'data-column' => 2, 'checked'],
        'assigned_on'                => ['name' => 'Assigned on', 'data-column' => 3, 'checked'],
        'called_on'                  => ['name' => 'Called on', 'data-column' => 4, 'checked'],
        'category_id'                => ['name' => 'Category id', 'data-column' => 5, 'checked'],
        'city_id'                    => ['name' => 'City id', 'data-column' => 6, 'checked'],
        'location_id'                => ['name' => 'Location id', 'data-column' => 7, 'checked'],
        'sublocation_id'             => ['name' => 'Sublocation id', 'data-column' => 8, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 9, 'checked'],
        'area'                       => ['name' => 'Area', 'data-column' => 10, 'checked'],
        'copied'                     => ['name' => 'Copied', 'data-column' => 11, 'checked'],
        'hot'                        => ['name' => 'Hot', 'data-column' => 12, 'checked'],
        'sub_status'                 => ['name' => 'Sub status', 'data-column' => 13, 'checked'],
        'nationality'                => ['name' => 'Nationality', 'data-column' => 14, 'checked'],
        'unit'                       => ['name' => 'Unit', 'data-column' => 15, 'checked'],
        'priority'                   => ['name' => 'Priority', 'data-column' => 16, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 17, 'checked'],
        'mobile'                     => ['name' => 'Mobile', 'data-column' => 18, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 19, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 20, 'checked'],
        'source_id'                  => ['name' => 'Source id', 'data-column' => 21, 'checked'],
        'other_source'               => ['name' => 'Other source', 'data-column' => 22, 'checked'],
        'reminder'                   => ['name' => 'Reminder', 'data-column' => 23, 'checked'],
        'notes'                      => ['name' => 'Notes', 'data-column' => 24, 'checked'],
        'note'                       => ['name' => 'Note', 'data-column' => 25, 'checked'],
        'created_by'                 => ['name' => 'Created by', 'data-column' => 26, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'CampaignCalls',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
