<div class="btn-group campaign-campaign_call">
    <button class="btn btn-xs btn-danger btn-search" type="button">
        <i aria-hidden="true" class="fa fa-search">
        </i>
        <span class="hidden-sm hidden-xs"> Search</span>
    </button>
    <button aria-expanded="false" class="btn btn-xs btn-danger dropdown-toggle" data-toggle="dropdown" type="button">
        <span class="caret">
        </span>
        <span class="sr-only">
            Toggle Dropdown
        </span>
    </button>
    <ul class="dropdown-menu" role="menu">
        <li>
            <a class="btn-search" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-filter">
                </i>
                Show filters
            </a>
        </li>
        <li>
            <a class="btn-reset-filter" style="cursor:pointer;">
                <i class="fa fa-fw fa-ban text-danger">
                </i>
                Clear filters
            </a>
        </li>
        <li class="divider">
        </li>
        <li>
            <a class="btn-save" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-floppy-o">
                </i>
                Save search
            </a>
        </li>
        <li>
            <a class="btn-open" style="cursor:pointer;">
                <i aria-hidden="true" class="fa fa-fw fa-folder-open-o">
                </i>
                Saved searches
            </a>
        </li>
    </ul>
</div>

<div class="modal fade" id="modal-search">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header" style="background-color: #dd4b39; color: #fff;">
              <button type="button" class="close" data-dismiss="modal" aaria-hidden="true">&times;</button>
              <h4 class="modal-title">Search</h4>
            </div>
              {!!Form::horizontal_open()
              ->id('form-search')
              ->method('POST')
              ->action(guard_url('settings/settings'))!!}
                <div class="modal-body has-form clearfix">
                    <div class="modal-form">
<div class="container-fluid">
                            <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[ref]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.ref')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[ref]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[agent_id]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.agent_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[agent_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[assigned_on]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.assigned_on')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[assigned_on]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[called_on]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.called_on')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[called_on]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[category_id]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.category_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[category_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[city_id]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.city_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[city_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[location_id]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.location_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[location_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[sublocation_id]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.sublocation_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[sublocation_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[type]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.type')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[type]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[area]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.area')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[area]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[copied]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.copied')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[copied]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[hot]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.hot')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[hot]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[sub_status]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.sub_status')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[sub_status]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[nationality]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.nationality')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[nationality]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[unit]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.unit')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[unit]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[priority]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.priority')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[priority]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[name]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.name')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[name]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[mobile]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.mobile')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[mobile]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[phone]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.phone')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[phone]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[email]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.email')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[email]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[source_id]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.source_id')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[source_id]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[other_source]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.other_source')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[other_source]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[reminder]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.reminder')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[reminder]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[notes]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.notes')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[notes]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[note]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.note')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[note]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="form-group">
                                     
                                    <label for="search[created_by]" class="col-sm-2 control-label">
                                        {!! trans('campaign::campaign_call.label.created_by')!!}
                                    </label>
                                    <div class="col-sm-10">
                                        {!! Form::text('search[created_by]')->raw()!!}
                                    </div>
                                </div>
                            </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="modal-footer">
                    <div class="col-md-12 col-lg-12">
                        <button aria-label="Close" class="btn pull-right btn-danger" data-dismiss="modal" type="button">
                            <i class="fa fa-times-circle">
                            </i>
                            Close
                        </button>
                        <button class="btn btn-success pull-right " id="btn-apply-search" name="new" style="margin-right:1%" type="button">
                            <i class="fa fa-check-circle">
                            </i>
                            Search
                        </button>
                    </div>
                </div>
              {!!Form::close()!!}
        </div>
    </div>
</div>


<div class="modal fade" id="modal-open">
  <div class="modal-dialog">
    <div class="modal-content" style="max-width:400px;">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Saved</h4>
      </div>
      <div class="modal-body" style="height:210px; overflow-y: auto;">
        
        <div id="saved-list">
          
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-danger"  name="Closerep" data-dismiss="modal"><i class="fa fa-times-circle"></i> Close </button>
      </div>
    </div><!-- /.modal-content -->
  </div><!-- /.modal-dialog -->
</div><!-- /.modal -->

<script type="text/javascript">
$(document).ready(function(){

    $(".campaign-campaign_call .btn-open").click(function(){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        $('#open-list').load("{!!guard_url('/settings/setting/search/campaign.campaign_call.search')!!}");
        $('#modal-open').modal("show");
    });

   $(".campaign-campaign_call .btn-search").click(function(){
      $('#modal-search').modal("show");
    });
   
    $('.campaign-campaign_call .btn-save').click(function(e){
        toastr.info('This feature will be enabled soon.', 'Coming soon');
        return false;
        var search = prompt("Please enter name for your search");
        if (search == null) {
            toastr.error('Please enter valid name.', 'Error');
            return false;
        }
        var formData = new FormData();
        formData.append('value', $("#form-search").serialize());
        formData.append('name', search);
        formData.append('key', 'campaign.campaign_call.search');
        formData.append('package', 'Page');
        formData.append('module', 'Page');

        $.ajax({
            url : "{!!guard_url('/settings/setting')!!}",
            type: "POST",
            data: formData,
            cache: false,
            processData: false,
            contentType: false,
            success:function(data, textStatus, jqXHR)
            {
                toastr.success('Search saved successfully.', 'Success');
            },
            error: function(jqXHR, textStatus, errorThrown)
            {
                toastr.error('An error occurred while saving.', 'Error');
            }
        });

        e.preventDefault();
    });

    $('#btn-apply-search').click( function() {
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#campaign-campaign_call-list .btn-reset-filter').css('display', '');
        $('#modal-search').modal("hide");
        
      });
    
    $(".btn-reset-filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        oSearch = {};
        $('#form-search input,#form-search select').each( function () {
          key = $(this).attr('name');
          val = $(this).val();
          oSearch[key] = val;
        });
        oTable.api().draw();
        $('#campaign-campaign_call-list .btn-reset-filter').css('display', 'none');

    });

});
</script>