<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCampaignDatabasesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: campaign_databases
         */
        Schema::create('campaign_databases', function ($table) {
            $table->increments('id');
            $table->string('slug', 100)->nullable();
            $table->string('name', 100)->nullable();
            $table->tinyInteger('status')->nullable();
            $table->text('description')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('campaign_databases');
    }
}
