    <div class="nav-tabs-custom">
        <!-- Nav tabs -->
        <ul class="nav nav-tabs primary">
            <li class="active"><a href="#campaign_database" data-toggle="tab">{!! trans('campaign::campaign_database.tab.name') !!}</a></li>
            <div class="box-tools pull-right">
                <button type="button" class="btn btn-primary btn-sm" data-action='UPDATE' data-form='#campaign-campaign_database-edit'  data-load-to='#campaign-campaign_database-entry' data-datatable='#campaign-campaign_database-list'><i class="fa fa-floppy-o"></i> {{ trans('app.save') }}</button>
                <button type="button" class="btn btn-default btn-sm" data-action='CANCEL' data-load-to='#campaign-campaign_database-entry' data-href='{{guard_url('campaign/campaign_database')}}/{{$campaign_database->getRouteKey()}}'><i class="fa fa-times-circle"></i> {{ trans('app.cancel') }}</button>

            </div>
        </ul>
        {!!Form::vertical_open()
        ->id('campaign-campaign_database-edit')
        ->method('PUT')
        ->enctype('multipart/form-data')
        ->action(guard_url('campaign/campaign_database/'. $campaign_database->getRouteKey()))!!}
        <div class="tab-content clearfix">
            <div class="tab-pane active" id="campaign_database">
                <div class="tab-pan-title">  {{ trans('app.edit') }}  {!! trans('campaign::campaign_database.name') !!} [{!!$campaign_database->name!!}] </div>
                @include('campaign::admin.campaign_database.partial.entry', ['mode' => 'edit'])
            </div>
        </div>
        {!!Form::close()!!}
    </div>