<?php

namespace Bixo\Campaign\Repositories\Eloquent;

use Bixo\Campaign\Interfaces\CampaignCallRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class CampaignCallRepository extends BaseRepository implements CampaignCallRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('bixo.campaign.campaign_call.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('bixo.campaign.campaign_call.model.model');
    }
}
